Button = {}

function Button:new(x,y,h,w,c)
    o = o or {}
    setmetatable(o,self)
    self.__index = self
    self.xPos = x or 0
    self.yPos = y or 0
    self.height = h or 0
    self.width = w or 0
    self.color = c or {1,1,1}
    return o
end

function Button:draw()
    local r,g,b,a = love.graphics.getColor()

    love.graphics.setColor(self.color)
    love.graphics.rectangle("fill", self.xPos, self.yPos, self.height, self.width)
    love.graphics.setColor(r,g,b)
end

function Button:isButtonClicked(x,y)
    --if in x bounds
    if(x >= self.xPos and x <= (self.xPos + self.width)) then
        --if in y bounds
        if(y >= self.yPos and y <= (self.yPos + self.height)) then
            return true
        end
    end

    return false
end