Upgrade = { coolDown = 1, cost = 0, value = 0}

function Upgrade:new(coolDown, cost, value)
    o={}
    setmetatable(o,self)
    self.__index = self
    self.coolDown = coolDown
    self.cost = cost
    self.value = value

    self.coolDownRemaining = coolDown
    self.countPurchased = 0
    return o
end

function Upgrade:update(dt)
    if(self.coolDownRemaining <= 0) then
        self.coolDownRemaining = self.coolDown
        return true
    else
        self.coolDownRemaining = self.coolDownRemaining - dt
        return false
    end
end

function Upgrade:getValueToAdd()
    return self.value
end

function Upgrade:purchaseUpgrade()
    self.countPurchased = self.countPurchased + 1
end

function Upgrade:getCountPurchased()
    return self.countPurchased
end